﻿Option Strict On

Imports System.ServiceModel
Imports System.ServiceModel.Description
Imports System.ServiceModel.Web
Imports Nist.Logging

Module EntryPoint

    Sub Main()
        Dim BaseURI = "http://localhost:12345/BIAS"
        Info("BaseURI: {0}", BaseURI)
        
        Dim host As New ServiceHost(GetType(BIASService), New Uri(BaseURI))

        Dim binding = New BasicHttpBinding()
        binding.Namespace = "http://docs.oasis-open.org/bias/ns/bias-1.0/"
        host.AddServiceEndpoint(GetType(BIAS_v1), binding, "")

        Dim metadataBehavior = If(host.Description.Behaviors.Find(Of ServiceMetadataBehavior)() Is Nothing, New ServiceMetadataBehavior(), host.Description.Behaviors.Find(Of ServiceMetadataBehavior)())
        metadataBehavior.HttpGetEnabled = True
        host.Description.Behaviors.Add(metadataBehavior)
        host.AddServiceEndpoint(ServiceMetadataBehavior.MexContractName, MetadataExchangeBindings.CreateMexHttpBinding(), "mex")

        host.Open()
        Console.ReadLine()
        host.Close()

        'C:\Program Files (x86)\Microsoft Visual Studio 10.0\Common7\IDE\WcfTestClient.exe
        'svcutil http://localhost:12345/BIAS (uses WS-MetadataExchange or DISCO)
    End Sub

End Module